#! /bin/sh

############################################################
#
#				Monkey's Audio Suite for BeOS Install Script Ver 1.00
#
############################################################


### Variables

SuiteDir=${0%/*}
ToolsDir=APEToolPack
ToolsDestDir=/boot/home/config/bin
LnOpt="-s -f"


### Function: InstallOne (Name, Src, Dest)

InstallOne() {
	echo "Installing $1..."
	ln $LnOpt "$2" "$3"
}


### Function: FindPluginDir (AppName, KeyWord, KeyFile)

FindPluginDir() {
	echo "Finding $1 installed folder..."
	FoundFile=$(find /boot -name $3 | grep $2)
	FoundDir=${FoundFile%/*}
}


### Function: InstallPlugin (Name, Src, AppName, KeyFile)

InstallPlugin() {
	FindPluginDir "$3" "$3" "$4"
	if [ $FoundDir ]
	then
		echo "$3 plugin folder is:"
		echo "  $FoundDir"
		InstallOne "$1" "$2" "$FoundDir"
	else
		echo "$3 installed folder is not found."
		echo "$1 installation is skipped."
	fi
}


### Start

alert "Let's install Monkey's Audio Suite for BeOS!   Install may take a few minutes.   You can get progress informations by running this script from Terminal.   Continue?" "No" "Yes"
Result=$?

if [ $Result -eq 0 ]
then
	exit
fi


### Install

InstallOne "Lib Monkey's Audio" "$SuiteDir/LibMonkeysAudio/libMonkeysAudio.so" "/boot/home/config/lib"

InstallOne "System (Media Kit) detractor" "$SuiteDir/APEDetractor/ape.detractor" "/boot/home/config/add-ons/media/detractors"

InstallOne "command line APE Decode" "$SuiteDir/$ToolsDir/APEDecode" "$ToolsDestDir"
InstallOne "command line APE Encode" "$SuiteDir/$ToolsDir/APEEncode" "$ToolsDestDir"
InstallOne "command line APE Tag" "$SuiteDir/$ToolsDir/APETag" "$ToolsDestDir"
InstallOne "command line APE Verify" "$SuiteDir/$ToolsDir/APEVerify" "$ToolsDestDir"

InstallOne "APE-O-Matic stand-alone (ZETA Menu)" "$SuiteDir/APEOMatic/APE-O-Matic" "/boot/home/config/ZetaMenu/Software/Music"
InstallOne "APE-O-Matic Tracker add-on" "$SuiteDir/APEOMatic/APE-O-Matic" "/boot/home/config/add-ons/Tracker"

InstallPlugin "CL-Amp APE Plugin" "$SuiteDir/CLAmpAPEPlugin/in_APE" "CL-Amp" "in_BeAudio"
InstallPlugin "SoundPlay APE Plugin" "$SuiteDir/SoundPlayAPEPlugin/APEPlugin" "SoundPlay" "AudioIn"

alert "Installation is done."

